﻿@model IEnumerable<EjemploMVCMañana.DataTransferObjects.PersonaDTO> 
    @*agregar el IEnumerable para mostrar la lista de Personas!!!*@

@{
    ViewBag.Title = "Listado de Personas";
}

<div class="row">
    <div class="col-sm-12">
        <div>
            <h4>Listado de Personas cargadas en la Base de Datos</h4>
        </div>
    </div>
</div>
    <div class="row">
        <div class="col-lg-8">
            <table class="table table-bordered table-striped">
                <thead>
                    <tr>
                         <th class="text-center">
                            Nombre
                        </th>
                         <th class="text-center">
                            Apellido
                        </th>
                         <th class="text-center">
                            Edad
                        </th>
                         <th class="text-center">
                            Teléfono
                        </th> 
                        <th class="text-center">
                            Sexo
                        </th>
                         <th class="text-center">
                            Acciones
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var persona in Model)// se cargan las filas con un for
                    {
                        <tr class="text-center">
                            <td>
                                @persona.nombre
                            </td>
                            <td>
                                @persona.apellido
                            </td>
                            <td>
                                @persona.edad
                            </td>
                            <td>
                                @persona.telefono
                            </td>
                            <td>
                                @persona.sexo
                            </td>
                            <td>
                                <a href="@Url.Action("DatosPersona", "Persona", new { @idPersona = persona.id })" class="btn btn-warning"> Mostrar</a>
                                <a href="@Url.Action("EliminarPersona", "Persona", new { @idPersona = persona.id })" class="btn btn-danger"> Eliminar</a>
                            </td>
                        </tr>
                    }
                </tbody>
            </table>
        </div>
    </div>
